function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { PrimaryColumn, Entity, Index, Column, ManyToOne, JoinColumn } from "typeorm";
import { id } from "../id.js";
import { User } from "./user.js";
export let PasswordResetRequest = class PasswordResetRequest {
    id;
    createdAt;
    token;
    userId;
    user;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], PasswordResetRequest.prototype, "id", void 0);
_ts_decorate([
    Column("timestamp with time zone"),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], PasswordResetRequest.prototype, "createdAt", void 0);
_ts_decorate([
    Index({
        unique: true
    }),
    Column("varchar", {
        length: 256
    }),
    _ts_metadata("design:type", String)
], PasswordResetRequest.prototype, "token", void 0);
_ts_decorate([
    Index(),
    Column({
        ...id()
    }),
    _ts_metadata("design:type", Object)
], PasswordResetRequest.prototype, "userId", void 0);
_ts_decorate([
    ManyToOne((type)=>User, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], PasswordResetRequest.prototype, "user", void 0);
PasswordResetRequest = _ts_decorate([
    Entity()
], PasswordResetRequest);
